package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface AreaMapper extends BaseCRUDMapper{

    public List<Map<String, Object>> getAreaTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getAreaTreeByLevelCode(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void updateBatchLevelCode(Map<String, Object> map);
}
